Bug 506054 - nouveau fails with a C51PV [GeForce 6150]
nouveau fails with a C51PV [GeForce 6150]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 08:18 EDT by Mike Pope
Modified: 2009-12-11 15:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 15:52:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (28.94 KB, text/x-log)
2009-06-15 08:18 EDT, Mike Pope
no flags Details
lspci -nn (3.06 KB, text/plain)
2009-07-21 06:22 EDT, Mike Pope
no flags Details

  None (edit)
Description Mike Pope 2009-06-15 08:18:26 EDT
Created attachment 347923 [details]
X log

Description of problem:

Can not start X with a C51PV [GeForce 6150].

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.12-36.20090514git9656762.fc11.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Start X (startx, init 5, it does not matter)
  
Actual results:

The (attached) log file contains:

  Fatal server error:
  Detected GPU lockup

and X does not start.

Expected results:

X starts.

Additional info:

The hardware works with xorg-x11-drv-nvidia (mumble).
Comment 1 Aaron Clark 2009-07-07 11:56:56 EDT
I have nouveau running (with dual-screen even!) with the following:

[aclark@Stratford ~]$ rpm -q xorg-x11-drv-nouveau
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64

[aclark@Stratford ~]$ lspci -s 00:05.0
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2)
Comment 2 Mike Pope 2009-07-08 19:02:37 EDT
Now also at:
  xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
and:
  00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2)

...but the GPU lockup is still present.
Comment 3 Adam Williamson 2009-07-20 20:28:45 EDT
Mike: can we get your lspci -nn output? It's more specific than lspci or lspci -v. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Mike Pope 2009-07-21 06:22:00 EDT
Created attachment 354451 [details]
lspci -nn

Attached.
Comment 5 Matěj Cepl 2009-11-05 13:32:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Mike Pope 2009-11-09 07:14:07 EST
updates-testing lists the same nouveau driver as I have installed, which does not work as described above--- the information in #2+4 above is as current today as it was when posted.  The other Xorg components are unlikely to be the problem as the broken device works fine with them as long as I also use the closed nvidia driver.  I will upgrade Xorg* when F12 is stable, but a blanket upgrade from updates-testing is not something I am prepared to do with a machine I rely on, and indeed I am surprised to see that recommended.

> If you won't be able to reply in one month, I will have to close this bug as
> INSUFFICIENT_DATA.

Surely this is a little excessive?  I was on holiday for nearly a month just recently.

Please, there is a bug in xorg-x11-drv-nouveau.  I would really like it fixed.  I want to use open-nouveau, not closed-nvidia.  Please do not close this and/or bugs like it lightly.
Comment 7 Mike Pope 2009-11-27 20:55:24 EST
This is now working, feel free to close.  Many thanks to Ben.
Comment 8 Adam Williamson 2009-12-01 14:51:51 EST
Great! When you say 'now working' - in what? Fedora 11? Fedora 12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Mike Pope 2009-12-06 23:45:43 EST
F11-fully-updated => kernel-2.6.30.9-99.fc11.x86_64
+ xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64.
Comment 10 Adam Williamson 2009-12-11 15:52:47 EST
awesome. let's close, then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.